<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:html="http://www.w3c.org/TR/xhtml1/" 
	xmlns:fo="http://www.w3.org/1999/XSL/Format" 
	xmlns:lib="uri:BMU_Waste_Interface/Bibliothek"
	xmlns:en="uri:BMU_Waste_Interface/EN" 
	xmlns:ds="http://www.w3.org/2000/09/xmldsig#" 
	xmlns:b64="xalan://de.itu.util.Base64" 
	xmlns:crc32="xalan://de.itu.util.CRC32Helper" 
	xmlns:x509="xalan://de.itu.util.X509CertHelper" 
	extension-element-prefixes="b64 crc32 x509" 
	exclude-result-prefixes="xsl lib en ds b64 crc32 x509">
	<xsl:import href="ZKS-Library.xsl"/>
	<xsl:import href="deckblatt_en.xsl"/>
	<xsl:import href="ve_en.xsl"/>
	<xsl:import href="ve2_en.xsl"/>
	<xsl:import href="ae_en.xsl"/>
	<xsl:import href="eb_en.xsl"/>
	<xsl:import href="nf_en.xsl"/>
	<xsl:import href="bb_en.xsl"/>
	<xsl:import href="da_en.xsl"/>
	<xsl:import href="egf_en.xsl"/>
	<xsl:import href="agsb_en.xsl"/>
	<xsl:import href="anhang_geb_en.xsl"/>
	<xsl:import href="anhang_en.xsl"/>
	<xsl:output method="html"/>
	<!-- bei neuladen übergebene Parameter -->
	<xsl:param name="positionsnummer" select="1"/>
	<xsl:param name="layerName" select="'ENSNErzLayer'"/>
	<xsl:param name="layerID" select="'ERZ-01-e6f6d730-0dbe-45b7-857c-0b7474c9ee07'"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>Entsorgungsnachweis/Sammelentsorgungsnachweis</title>
				<!-- CSS - Datei -->
				<xsl:call-template name="Style"/>
			</head>
			<body>
				<xsl:call-template name="Kopf"/>
				<xsl:call-template name="Deckblatt"/>
				<p style="page-break-after:always">
					<br style="height:0; line-height:0"/>
				</p>
				<xsl:call-template name="VE"/>
				<p style="page-break-after:always">
					<br style="height:0; line-height:0"/>
				</p>
				<xsl:call-template name="VE2"/>
				<br/>
				<xsl:call-template name="DADa"/>
				<p style="page-break-after:always">
					<br style="height:0; line-height:0"/>
				</p>
				<xsl:call-template name="AE"/>
				<p style="page-break-after:always">
					<br style="height:0; line-height:0"/>
				</p>
				<br/>
				<xsl:call-template name="EBDa"/>
				<br/>
				<xsl:call-template name="NFDa"/>
				<br/>
				<xsl:call-template name="BBDa"/>
				<br/>
				<xsl:call-template name="EGFDa"/>
				<br/>
				<xsl:call-template name="AGSDa"/>
				<br/>
				<xsl:call-template name="AnhangGebEN"/>
				<br/>
				<xsl:call-template name="AnhangEN"/>
				<br/>
				<xsl:call-template name="showSigLayer"/>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
